WordPress.org

Ready to get started?Download WordPress

Forums

iThemes Security (formerly Better WP Security)
[Plugin: Better WP Security] Database prefix change messed up backend (5 posts)

  1. zhiwan
    Member
    Posted 2 years ago #

    Hi,

    So far this plugin seems really well thought out and I'm surprised I didn't discover it earlier. However, when I tried to change the "wp_" prefix to the table, I found I couldn't log onto the backend for wordpress. It kept saying "You don't have sufficient permissions." Why might it be doing this?

    http://wordpress.org/extend/plugins/better-wp-security/

  2. It could be something failed when updating the database. Are you using any special roles or anything else non-standard in regards to the user?

  3. zhiwan
    Member
    Posted 2 years ago #

    Nothing out of the ordinary. I use w3total cache. Is there a known conflict with that plugin? That's the only thing I can think of.

  4. dukejames27
    Member
    Posted 2 years ago #

    I'm having the same issue as well. No special roles in use.

    Any resolution to this zhiwan and if so would you please post it?

    I'm using version Better Wp Security 3.3 and WordPress 3.4.

  5. 3.4 shouldn't have this issue with normal permissions. The only exception I could see would be on a site with a lot of content where a memory limitation could potentially be reached.

    @zhiwan the only issue could be multiple emails if you use database query caching as the plugin relies on a query to determine if certain functions have been complete.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.